/**
 * \file expConf_boAVR2013.h
 *
 *  Configuration settings for the boAVR2013 evaluation board
 *
 *  See all else in the serial bootloader's platform specific file
 *  ..../atMegaBootloader/include/arch/config_boAVR2013.h
 *  which has to be / will be included anyway via
 *  ..../atMegaBootloader/include/arch/config.h
 *
 * &nbsp; \ref copyLicNote " Copyright &copy; " 2014  Albrecht Weinert, Bochum
 * \author  Albrecht Weinert  &nbsp; <<a href="http://a-weinert.de">a-weinert.de</a>>
 * 1
 * 25.01.2017
 */
//  SVN last change by A. Weinert


#ifndef EXP_CONF_PLATFORM_H
# define EXP_CONF_PLATFORM_H boAVR2013
#else
# error "more than one platform specific expConf_platform.h file"
#endif


/** Usage of test pins for debugging
 *
 *  This macro's value is used to conditionally enable
 *  \ref setTestPin0 "test pin" output for logic analyser.
 *
 *  0 (or undefined): none
 *  1 : timing interrupts
 *  2 : USART interrupts
 *  3 : SPI 2 CS ; 1: SD, 0: ENC
 *  4 :          ; 1: in system 1 ms tick thread function
 *
 * \showinitializer
 */
#define USE_TESTPINS 1


//--- platform specifica on ports ----------------------------------------

#define TEST_PIN0_PORT B //!< Port for testpin 0   \showinitializer
#define TEST_PIN0_PIN 0  //!< Pin for testpin 0 (12) \showinitializer

#define TEST_PIN1_PORT B //!< Port for testpin 1  \showinitializer
#define TEST_PIN1_PIN 1  //!< Pin for testpin 1 (12) \showinitializer

#define LIVELED_PORT  B
#define LIVELED_MASK 0x04

//--- platform specifica for LCD module TC1602B    ----------------------

#define  LCD_DATA_PORT A
#define  LCD_DATA_USE UPPER_NIBBLE

#define  LCD_RS_PORT A
#define  LCD_RS_MASK 0x04

#define  LCD_E_PORT A
#define  LCD_E_MASK 0x08

#define RW_NOTFIXED 0  //!< R/W is soldered to 0=Gnd on boAVR2013

